Summary: a grep command for networks
Name: ngrep
Version: 1.33
Release: 1
Copyright: GPL
Group: Applications/Internet
Source: ngrep-1.33.tar.gz

Distribution: Sprout RPMs
Packager: Chris Green <sprout@dok.org>

BuildRoot: /tmp/ngrep

%description
ngrep is grep command that works on realtime network data.

ngrep strives to provide most of GNU grep's common features, applying
them to the network layer. ngrep a pcap-aware tool that will allow you
to specify extended regular expressions to match against data payloads
of packets. It currently recognizes TCP and UDP across ethernet, ppp
and slip interfaces, and understands bpf filter logic in the same
fashion as more common packet sniffing tools, like tcpdump and snoop.

%changelog
* Wed Jul 14 1999 Chris Green <sprout@dok.org>

- initialization of spec file.

%prep
%setup -q -n ngrep

if [ -e $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr

%build
make

%install
mkdir $RPM_BUILD_ROOT

# surely theres a better way than I have done here
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man8

make BINDEST=$RPM_BUILD_ROOT/usr/bin MANDEST=$RPM_BUILD_ROOT/usr/man/man8 install 

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc README BUGS CHANGES
/usr/bin/ngrep
/usr/man/man8/ngrep.8
# end of file
